petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscArraycmp

Compares two arrays in memory.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscArraycmp(const anytype *str1,const anytype *str2,size_t cnt,PetscBool *e)

Not Collective

### Input Parameters

| str1 | - First array
| str2 | - Second array
| cnt | - Count of the array, not in bytes, but number of entries in the arrays

### Output Parameters

e -PETSC_TRUE if equal else PETSC_FALSE.

### Note

This routine is a preferred replacement to PetscMemcmp() The arrays must be of the same type

### See Also

PetscMemcpy(), PetscMemcmp(), PetscArrayzero(), PetscMemzero(), PetscArraycpy(), PetscMemmove(), PetscStrallocpy(),
PetscArraymove()

### Level

intermediate

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages